player = {
	position  = {100,100},
	velocity  = {0,0},
  direction = 0,
  speed     = 40,
  phase     = 0
}


function love.load()
  imgPlayer = love.graphics.newImage( "player.png" )
end
  


function love.update(dt)
  -- check for controls
  playerStop()
	if love.keyboard.isDown("up") then    playerSetDirection("N") end
	if love.keyboard.isDown("down") then  playerSetDirection("S") end
  if love.keyboard.isDown("left") then  playerSetDirection("W") end
  if love.keyboard.isDown("right") then playerSetDirection("E") end
  
  playerUpdate(dt)
end



function love.draw()
	playerDraw()
end






function playerDraw()
  love.graphics.setColor(255,255,255,255)
  love.graphics.drawq(
    imgPlayer,
    love.graphics.newQuad(math.floor(player.phase)*32,player.direction*32 , 32,32,256,128),
    player.position[1],
    player.position[2]
  )	
end



function playerSetDirection(dir) 
	if(dir=="E") then player.velocity  = { 1, 0} player.direction=0 end
	if(dir=="S") then player.velocity  = { 0, 1} player.direction=1 end
	if(dir=="W") then player.velocity  = {-1, 0} player.direction=2 end
	if(dir=="N") then player.velocity  = { 0,-1} player.direction=3 end
end



function playerStop()
	player.velocity = {0,0}
end


function playerUpdate(dt)
	-- stop animation
	if (player.velocity[1] == 0 and player.velocity[2] == 0 ) then 
		player.phase = 0
		return 
	end
	
	-- move
  player.position[1] = player.position[1] + player.velocity[1] * player.speed * dt
  player.position[2] = player.position[2] + player.velocity[2] * player.speed * dt

  -- animate
  player.phase = (player.phase + dt*6 ) %4

end

